# Generated by using Rcpp::compileAttributes() -> do not edit by hand
# Generator token: 10BE3573-1514-4C36-9D1C-5A225CD40393

#' Return gdns library version
#'
#' @family utlity functions
#' @export
gdns_lib_version <- function() {
    .Call(`_clandnstine_gdns_lib_version`)
}

#' Internal version of gdns_update_resolvers
#' @keywords internal
int_gdns_update_resolvers <- function(gctx, resolvers) {
    .Call(`_clandnstine_int_gdns_update_resolvers`, gctx, resolvers)
}

#' Specify the number of milliseconds to wait for request to return
#'
#' @param gctx gdns resolver context created with [gdns_resolver()]
#' @param timeout number of milliseconds (integer; i.e. not-fractional)
#' @family context functions
#' @export
gdns_set_timeout <- function(gctx, timeout) {
    .Call(`_clandnstine_gdns_set_timeout`, gctx, timeout)
}

#' Retreive the number of milliseconds to wait for request to return
#'
#' @param gctx gdns resolver context created with [gdns_resolver()]
#' @family context functions
#' @export
gdns_get_timeout <- function(gctx) {
    .Call(`_clandnstine_gdns_get_timeout`, gctx)
}

#' Set/unset context to round robin queries over the available upstreams
#' when resolving with the stub resolution type.
#'
#' @md
#' @param gctx gdns resolver context created with [gdns_resolver()]
#' @param flag if `TRUE` (the default) round robin queries when using more than one stub resolver,
#' @family context functions
#' @export
gdns_set_round_robin_upstreams <- function(gctx, flag = TRUE) {
    .Call(`_clandnstine_gdns_set_round_robin_upstreams`, gctx, flag)
}

#' Internal version of gdns_set_hosts()
#' @keywords internal
int_gdns_set_hosts <- function(gctx, hosts) {
    .Call(`_clandnstine_int_gdns_set_hosts`, gctx, hosts)
}

#' Internal version of set_transports()
#' @keywords internal
int_gdns_set_transports <- function(gctx, trans) {
    .Call(`_clandnstine_int_gdns_set_transports`, gctx, trans)
}

#' Internal version of gdns_set_resolution_type()
#' @keywords internal
int_gdns_set_resolution_type <- function(gctx, res_type) {
    .Call(`_clandnstine_int_gdns_set_resolution_type`, gctx, res_type)
}

#' Retreive what transports are used for DNS lookups.
#'
#' @param gctx gdns resolver context created with [gdns_resolver()]
#' @family context functions
#' @export
gdns_get_transports <- function(gctx) {
    .Call(`_clandnstine_gdns_get_transports`, gctx)
}

#' Retreive the value of the localnames namespace
#'
#' @param gctx gdns resolver context created with [gdns_resolver()]
#' @family context functions
#' @export
gdns_get_hosts <- function(gctx) {
    .Call(`_clandnstine_gdns_get_hosts`, gctx)
}

#' Retreive the value with which the context's upstream recursive servers and suffixes were initialized
#'
#' @param gctx gdns resolver context created with [gdns_resolver()]
#' @family context functions
#' @export
gdns_get_resolvconf <- function(gctx) {
    .Call(`_clandnstine_gdns_get_resolvconf`, gctx)
}

#' Retreive the value with which the context's upstream recursive servers and suffixes were initialized
#'
#' @param gctx gdns resolver context created with [gdns_resolver()]
#' @family context functions
#' @export
gdns_get_tls_ca_path <- function(gctx) {
    .Call(`_clandnstine_gdns_get_tls_ca_path`, gctx)
}

#' Retreive the file location with CA certificates for verification purposes
#'
#' @param gctx gdns resolver context created with [gdns_resolver()]
#' @family context functions
#' @export
gdns_get_tls_ca_file <- function(gctx) {
    .Call(`_clandnstine_gdns_get_tls_ca_file`, gctx)
}

#' Specify where the location for CA certificates for verification purposes are located
#'
#' @param gctx gdns resolver context created with [gdns_resolver()]
#' @param ca_path directory with Certificate Authority certificates
#' @family context functions
#' @export
gdns_set_tls_ca_path <- function(gctx, ca_path) {
    .Call(`_clandnstine_gdns_set_tls_ca_path`, gctx, ca_path)
}

#' Specify the file with CA certificates for verification purposes
#'
#' @param gctx gdns resolver context created with [gdns_resolver()]
#' @param ca_file file with Certificate Authority certificates
#' @family context functions
#' @export
gdns_set_tls_ca_file <- function(gctx, ca_file) {
    .Call(`_clandnstine_gdns_set_tls_ca_file`, gctx, ca_file)
}

#' Retrieve the list of addresses in use for looking up top-level domains in use by the context.
#'
#' @param gctx gdns resolver context created with [gdns_resolver()]
#' @keywords internal
int_gdns_get_root_servers <- function(gctx) {
    .Call(`_clandnstine_int_gdns_get_root_servers`, gctx)
}

int_dns_wire_to_list <- function(buf) {
    .Call(`_clandnstine_int_dns_wire_to_list`, buf)
}

#' Test whether an object is an external pointer
#'
#' @param x object to test
#' @keywords internal
check_is_xptr <- function(s) {
    invisible(.Call(`_clandnstine_check_is_xptr`, s))
}

#' Test whether an external pointer is null
#'
#' @param x object to test
#' @keywords internal
is_null_xptr_ <- function(s) {
    .Call(`_clandnstine_is_null_xptr_`, s)
}

#' Internal version of gdns_context
#' @keywords internal
int_gdns_context <- function(resolvers) {
    .Call(`_clandnstine_int_gdns_context`, resolvers)
}

#' Resolve a host to an addrss
#'
#' @param gctx gdns resolver context created with [gdns_resolver()]
#' @param host to lookup
#' @family query functions
#' @export
#' @examples
#' x <- gdns_resolver()
#' gdns_get_address(x, "yahoo.com")
#' x %>% gdns_get_address("yahoo.com")
gdns_get_address <- function(gctx, host) {
    .Call(`_clandnstine_gdns_get_address`, gctx, host)
}

int_get_resolvers <- function(gctx) {
    .Call(`_clandnstine_int_get_resolvers`, gctx)
}

int_gdns_query <- function(gctx, name, rr, include_reporting = FALSE) {
    .Call(`_clandnstine_int_gdns_query`, gctx, name, rr, include_reporting)
}

#' Get the current resolution type setting
#'
#' @param gctx gdns resolver context created with [gdns_resolver()]
#' @export
#' @family context functions
#' @examples
#' x <- gdns_context()
#' gdns_get_resolution_type(x)
gdns_get_resolution_type <- function(gctx) {
    .Call(`_clandnstine_gdns_get_resolution_type`, gctx)
}

